[![PyPI](https://img.shields.io/pypi/v/model_metris.svg)](https://pypi.org/project/model_metrics/)
[![Downloads](https://pepy.tech/badge/model_metrics)](https://pepy.tech/project/model_metrics)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://github.com/lshpaner/model_metrics/blob/main/LICENSE.md)

<br>

<img src="https://raw.githubusercontent.com/lshpaner/model_metrics/refs/heads/main/assets/mm_logo.svg" width="300" style="border: none; outline: none; box-shadow: none;" oncontextmenu="return false;">

<br> 


Welcome to Model Metrics! Model Metrics is a versatile Python library designed to streamline the evaluation and interpretation of machine learning models. It provides a robust framework for generating predictions, computing model metrics, analyzing feature importance, and visualizing results. Whether you're working with SHAP values, model coefficients, confusion matrices, ROC curves, precision-recall plots, and other key performance indicators.

---

## Prerequisites 

Before you install `model_metrics`, ensure your system meets the following requirements:

- `Python`: Version `3.7.4` or higher.

Additionally, `model_metrics` depends on the following packages, which will be automatically installed when you install `model_metrics`:

- `matplotlib`: version `3.5.3` or higher, but capped at `3.9.2`
- `numpy`: version `1.21.6` or higher, but capped at `2.1.0`
- `plotly`: version `5.18.0` or higher, but capped at `5.24.0`
- `scikit-learn`: version `1.0.2` or higher, but capped at `1.5.2`
- `seaborn`: version `0.12.2` or higher, but capped below `0.13.2`
- `shap`: version `0.41.0` or higher, but capped below `0.46.0`
- `tqdm`: version `4.66.4` or higher, but capped below `4.67.1`


## 💾 Installation

To install `model_metrics`, simply run the following command in your terminal:


```bash
pip install model_metrics
```

## 📄 Official Documentation

https://lshpaner.github.io/model_metrics 


## 🌐 Authors' Website

1. [Leonid Shpaner](https://www.leonshpaner.com)


## 🙏 Acknowledgements

Gratitude goes to Dr. Ebrahim Tarshizi for his mentorship during the University of San Diego M.S. Applied Data Science Program, as well as the Shiley-Marcos School of Engineering for its support.

Special thanks to Dr. Alex Bui for his invaluable guidance and support, and to Panayiotis Petousis and Arthur Funell for their exceptional teamwork in maintaining a solid data science foundation at UCLA CTSI. Special thanks to those who have contributed to the development of this library, provided guidance, and supported a strong data science foundation. This work is built upon a collaborative effort that values knowledge sharing, teamwork, and dedication to advancing model evaluation practices.
